%define upstream_name    DateTime-Format-MySQL
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse and format MySQL dates and times
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.600.0
BuildRequires: perl(Module::Build)
BuildArch:  noarch

Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Builder)
%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in
order to create DateTime objects, and it can take a DateTime object and
produce a string representing it in the MySQL format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.80.0-2.mga10
+ Revision: 2218587
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.80.0-1.mga10
+ Revision: 1980950
- update to 0.08

* Mon Mar 21 2022 umeabot <umeabot> 0.70.100-2.mga9
+ Revision: 1814545
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tv <tv> 0.70.100-1.mga9
+ Revision: 1728026
- update to 0.0701

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-4.mga8
+ Revision: 1493871
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-3.mga7
+ Revision: 1267036
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-2.mga6
+ Revision: 1025217
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 1001794
- update to 0.06

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 965940
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 839300
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 741354
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 510732
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-4.mga3
+ Revision: 365625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-3.mga1
+ Revision: 37416
- mageia rebuild
- imported package perl-DateTime-Format-MySQL

